Maresfield イギリスの飯、別にマズくないよ

Windows10に最新版のPython2を入れるとjedi-vimが動かなくなる

Windows10に最新版のPython2 (2.7.14) を入れると画像のようなエラーを出してjedi-vimが動かなくなる。

Windows7の時に環境を再構築した時にも同じ問題があったことを思い出し、確かその時は古いバージョンのPythonをインストールするとエラーがでなくなった。具体的にどのバージョンかは思い出せないが、たしかpipが標準で入ったあたりのバージョンだったと思うのでpipが入る前の2.7.8をインストールするとエラーはでなくなった。詳細な理由はわからない。